Bug 258663 - sysutils/pam_xdg: refer to pam_xdg(8) manual page in pkg-message
Summary: sysutils/pam_xdg: refer to pam_xdg(8) manual page in pkg-message
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2021-09-21 14:36 UTC by Evgeniy Khramtsov
Modified: 2021-09-23 01:49 UTC (History)
0 users

See Also:
jbeich: maintainer-feedback+
jbeich: merge-quarterly+


Attachments
v1 (use "git am") (1006 bytes, patch)
2021-09-21 14:36 UTC, Evgeniy Khramtsov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Evgeniy Khramtsov 2021-09-21 14:36:21 UTC
Created attachment 228097 [details]
v1 (use "git am")

Refer to the manual page in pkg-message to avoid confusing users.
Comment 1 commit-hook freebsd_committer 2021-09-22 16:58:26 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4fa95f2e2113895601954a5c2a516ca3cfe6a4cb

commit 4fa95f2e2113895601954a5c2a516ca3cfe6a4cb
Author:     Evgeniy Khramtsov <evgeniy@khramtsov.org>
AuthorDate: 2021-09-21 13:13:50 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-09-22 16:45:38 +0000

    sysutils/pam_xdg: refer to the installed manpage in pkg-message

    PR:             258663

 sysutils/pam_xdg/Makefile    | 1 +
 sysutils/pam_xdg/pkg-message | 2 ++
 2 files changed, 3 insertions(+)
Comment 2 commit-hook freebsd_committer 2021-09-22 17:03:29 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=81ad898f6c4491ac29560d8269a4a41781f5b5fe

commit 81ad898f6c4491ac29560d8269a4a41781f5b5fe
Author:     Evgeniy Khramtsov <evgeniy@khramtsov.org>
AuthorDate: 2021-09-21 13:13:50 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-09-22 17:02:19 +0000

    sysutils/pam_xdg: refer to the installed manpage in pkg-message

    PR:             258663
    (cherry picked from commit 4fa95f2e2113895601954a5c2a516ca3cfe6a4cb)

 sysutils/pam_xdg/Makefile    | 1 +
 sysutils/pam_xdg/pkg-message | 2 ++
 2 files changed, 3 insertions(+)
Comment 3 Jan Beich freebsd_committer 2021-09-22 17:08:33 UTC
Landed after rewording a bit.
Comment 4 Evgeniy Khramtsov 2021-09-22 20:33:53 UTC
Maybe also change "PAM module" to "PAM plugin" (i.e. databases/percona57-pam-for-mysql) in Makefile?
Comment 5 Jan Beich freebsd_committer 2021-09-22 23:09:07 UTC
(In reply to Evgeniy Khramtsov from comment #4)
- I've dropped "module" in my (landed) version
- PAM abbreviation already includes "module"
- "PAM plugin" without "the" to pin the context maybe ambigous
- What needs to be configured is PAM itself (e.g., session optional pam_xdg.so) and maybe the plugin/module (e.g., notroot runtime)
Comment 6 Evgeniy Khramtsov 2021-09-23 01:27:58 UTC
(In reply to Jan Beich from comment #5)

I was referring to "COMMENT= PAM module" in Makefile.
Maybe "PAM plugin" can be used in COMMENT instead of "[...]M module".

This is out of this PR, but this is too minor to submit a separate PR.
Comment 7 Jan Beich freebsd_committer 2021-09-23 01:49:37 UTC
(In reply to Evgeniy Khramtsov from comment #6)
COMMENT in Makefile comes from the summary in pam_xdg(8) manpage. Also, pam.conf(5) refers to plugins as modules, and "module" is more common in ports/.

$ rg -l 'COMMENT.*PAM.*module' | wc -l
      21
$ rg -l 'COMMENT.*PAM.*plugin' | wc -l
       2